proc showMulti { } {
	global sld sldi cv
	if {$sld(multi)} {
		set sld(scale) [expr 240./$sld(dwidth)]
### calculate how many x,y small views possible with this window size
		set sld(xmulti) [expr int($sld(width)/245.)]
		set sld(ymulti) [expr int($sld(height)/185.)]
		pack forget .c.c .c.cscrollh .c.cscrollv
		set n 1
		for	{set i 0} {$i < $sld(ymulti)} {incr i} {
			for	{set j 0} {$j < $sld(xmulti)} {incr j} {
				grid [canvas .c.x${i}y$j -width 240 -height 180 \
					-relief sunken -bd 3 -bg beige]\
					-row $i -column $j -padx 5 -pady 5
				bind .c.x${i}y$j <1> "showSingle $n"
				incr n
			}
		}
		set cv .c.x0y0
		showSlide
	} else {
		set sld(scale) $sld(zoom)
		foreach	child [winfo children .c] {
			if [winfo ismapped $child] {
				destroy $child
			}
		}
		pack .c.cscrollh -side bottom -fill x
		pack .c.c .c.cscrollv -side left -fill both
		set cv .c.c
	}
}

proc showSingle { n } {
	global sld cv
	set sld(multi) 0
	showMulti
	gotoSlide $n	
}

proc applyZoom { } {
	global sld
    updateSlide $sld(page,current)
	set sld(scale) $sld(zoom)
	showSlide
    makeRulers
}
