proc setHints { } {
	global hint
set hint(.mb.edit.m,8) {ungroup selected objects (Shft+Ctl+G)}
set hint(.bar.ovalf) {filled ellipse object}
set hint(.bar.front) {bring selected object(s) to the front}
set hint(.bar.oval) {hollow ellipse object}
set hint(.mb.objects.m,10) {slide show}
set hint(.bar.line) {line object}
set hint(.mb.layout.m,11) {page layout popup}
set hint(.mb.help.m,0) {About...}
set hint(.mb.help.m,1) {about Slidedraw}
set hint(.bar.paste) {paste object(s) to the canvas (Ctl+V)}
set hint(.mb.layout.m,1) {text layout operations}
set hint(.mb.layout.m,2) {page layout operations}
set hint(.mb.layout.m,3) {grid resolution}
set hint(.mb.help) {help menu (about)}
set hint(.mb.layout.m,4) {choose color palette...}
set hint(.mb.objects) {objects menu (line, frame, filled frame,...)}
set hint(.mb.layout.m,5) {canvas background pattern}
set hint(.mb.layout.m.font,1) {go to the font browser...}
set hint(.mb.layout.m,6) {object layout operations}
set hint(.mb.layout.m.font,2) {select font family}
set hint(.mb.layout.m,7) {set text alignment}
set hint(.mb.layout.m.font.ff,1) {charter}
set hint(.mb.layout.m.font,3) {select font size}
set hint(.mb.layout.m,8) {snap - select grid cell size}
set hint(.mb.layout.m.font,4) {Text alignment}
set hint(.mb.layout.m,9) {set background pattern}
set hint(.mb.layout.m.obj,1) {select line width}
set hint(.bar.box) {filled frame object}
set hint(.mb.layout.m.obj,2) {select line style if available}
set hint(.mb.file) {file operations menu (new, open, save,...)}
set hint(.bar.cut) {cut currently selected object(s) (Ctl+C)}
set hint(.mb.edit) {edit menu (cut, paste, front, back....)}
set hint(.bar.back) {send selected object(s) to back}
set hint(.bar.boxed) {multiline text bounded by a box}
set hint(.bar.image) {insert an image object (.gif,.xpm,.pbm)}
set hint(.mb.objects.m,1) {draw a line}
set hint(.mb.objects.m,2) {draw a frame}
set hint(.mb.objects.m,3) {draw a filled frame}
set hint(.mb.objects.m,4) {draw an ellipse}
set hint(.mb.objects.m,5) {draw a filled ellipse}
set hint(.mb.objects.m,6) {write text}
set hint(.mb.file.m,1) {open an existing presentation from disk (Ctl+O)}
set hint(.mb.objects.m,7) {write boxed text}
set hint(.bar.copy) {copy selected object(s) (Ctl+C)}
set hint(.mb.file.m,2) {create a new presentation (Ctl+N)}
set hint(.mb.objects.m,8) {insert an image object (.gif,.xpm,.pbm)}
set hint(.mb.file.m,3) {save current presentation as... (Ctl+S)}
set hint(.mb.view.m,1) {toggle show rulers}
set hint(.bar.text) {writes text object}
set hint(.mb.file.m,4) {export current presentation to PostScript(c)}
set hint(.mb.view.m,2) {toggle contact sheet - view several slides at a time}
set hint(.mb.file.m,5) {print current presentation}
set hint(.mb.file.m,6) {}
set hint(.mb.view.m,4) {select zoom}
set hint(.mb.file.m,7) {Quit - exit from the program}
set hint(.mb.layout) {layout menu (text, page, others...)}
set hint(.mb.edit.m,1) {copy selected object(s) (Ctl+C)}
set hint(.mb.file.m,8) {quit program (Ctl+q)}
set hint(.mb.edit.m,2) {paste object(s) to the canvas (Ctl+V)}
set hint(.mb.view.m,6) {go to next slide}
set hint(.mb.edit.m,3) {cut currently selected object(s) (Ctl+C)}
set hint(.mb.view.m,7) {go to previous slide}
set hint(.bar.frame) {hollow frame object}
set hint(.mb.edit.m,5) {bring selected object(s)to front (Ctl+F)}
set hint(.mb.view.m,9) {view slideshow}
set hint(.mb.view) {viewing menu - options for visualization}
set hint(.mb.edit.m,6) {send selected object(s)to back (Ctl+B)}
set hint(.mb.edit.m,7) {group selected objects (Ctl+G)}

}

proc canvasBind { } {
	global sld hint xtopadd ytopadd
#### binding for object motion
	.c.c bind slide <3> {objectStartMove %x %y}
	.c.c bind slide <B3-Motion> {objectMove %x %y}
	.c.c bind slide <Motion> {objectResize %x %y}
	.c.c bind slide <Leave> {.c.c config -cursor $sld(cursor)}
	.c.c bind slide <Control-3> {objectSelectAdd %x %y}
	.c.c bind slide <Double-3> {objectOptions %x %y}

#### keyboard accelerators
	bind kbdAccelerator <Page_Up> prevSlide
	bind kbdAccelerator  <Page_Down> nextSlide
	bind kbdAccelerator <Control-t> gotoSlidePopup
	bind kbdAccelerator <Control-n> fileNew
	bind kbdAccelerator <Control-s> fileSave
	bind kbdAccelerator <Control-o> fileLoad
	bind kbdAccelerator <Control-q> "saveConfig; exit"
	bind kbdAccelerator <Control-v> pasteObject
	bind kbdAccelerator <Control-c> copyObject
	bind kbdAccelerator <Control-x> cutObject
	bind kbdAccelerator <Control-f> frontObject
	bind kbdAccelerator <Control-b> backObject
	bind kbdAccelerator <Control-g> groupObjects
	bind kbdAccelerator <Control-Shift-G> ungroupObjects
### create a binding tag for the keyboard accelerators
	set tags [bindtags .]
	bindtags . [linsert $tags 0 kbdAccelerator]

### binding to find when the visible part of canvas is resized by the user
	bind .c.c <Configure> resizedCanvas

#### Just for when we have the Presentation mode...
#### OK, maybe not exactly that, but hey! :)
	bind . <Control-F7> slideshow
	
####### "ESCAPE" KEY

	bind . <Control-BackSpace> "undoBindings"

### OK, it's not working like I wanted (ie. unbinding any mouse operations,
#that is, unselecting any operation (like slideshow, line, frame...) that
#could be selected at the moment.
# Instead of that I have got a very cute effect... :) But buggy anyway...
#Please check why it's not working and fix it, I am too tired to do it now
#(later than 3:30am... :)


## not canvas related, but updates status line for each button or menu
## entered (a simple context sensitive help)
	bind Button <Enter> {+showHints %W}
	bind Menubutton <Enter> {+showHints %W}
	bind Menu <Motion> {+showHints %W %y}
##
## ## for internal use (development) -- saves hinted objects ##
## Procedure for editing hints (short helps):
## (1) uncomment binding below; start slidedraw;
## (2) navigate for all buttons, to be sure its hint skeleton
## will be generated;
## (3) save "hints.dat" file, by doing <Control-z>;
## (4) edit this file to replace window or menu entry with help text
## desired;
## (5) modify proc setHints above to include all edited text;
## (6) comment again the binding below (so the user will not access it :)
## bind . <Control-z> {saveHints}

	setHints

	wm minsize . 200 150
	tkwait visibility .

## get the margins to add to canvas geometry
	regexp {([0-9]*)x([0-9]*)\+.*} \
		[wm geometry .] all topwidth topheight rest
	set xtopadd [expr $topwidth - $sld(width)]
	set ytopadd [expr $topheight - $sld(height)]

## bind resize of toplevel, so we could resize also the canvas
bind . <Configure> {+resizeCanvas}

## binding for moving the rulers
bind .c.cscrollh <ButtonRelease> {+moveRulers}
bind .c.cscrollv <ButtonRelease> {+moveRulers}
bind .c.cscrollh <Leave> {+moveRulers}
bind .c.cscrollv <Leave> {+moveRulers}

makeRulers

## bindings for the bindtags

bind text <1> {txt_sel %x %y}
bind text <KeyPress> {txt_add %A}
bind text <KeyPress-Return> {txt_add "\n"}
bind text <KeyPress-BackSpace> {txt_bks}
bind text <KeyPress-Escape> {txt_done}
bind text <B1-Motion> {}
bind text <ButtonRelease-1> {}
bind text <Left> {txt_move_insert left}
bind text <Right> {txt_move_insert right}

bind show <1> {nextSlide}
bind show <Shift-1> {hiliteItem %x %y}
bind show <3> {prevSlide ; break}
bind show <2> slideshow_end
		
bind line <1> {insertLine %x %y} 
bind line <B1-Motion> {insertLineMove %x %y} 
bind line <ButtonRelease-1> {insertLineEnd %x %y}

bind frame <1> {insertLine %x %y} 
bind frame <ButtonRelease-1> {insertBoxEnd %x %y} 
bind frame <B1-Motion> {insertBoxMove %x %y}

bind ellipse <1> {insertLine %x %y} 
bind ellipse <ButtonRelease-1> {insertEllipseEnd %x %y} 
bind ellipse <B1-Motion> {insertEllipseMove %x %y}

bind btext <1> {insertTextMark %x %y}
bind btext <ButtonRelease-1> {insertTextLimit %x %y}
bind btext <B1-Motion> {insertTextDrag %x %y}

bind image <1> {insertImage %x %y} 
bind image <ButtonRelease-1> {}
bind image <B1-Motion> {}
}

proc saveHints { } {
	global hint
	set f [open hints.dat w]
	foreach n [array names hint] {
		puts $f "set hint($n) \{$hint($n)\}"
	}
	close $f
}

#
# doBindings -- modify canvas bindings so that kind of object is concerned
# also sets cursor to reflect which objects will be inserted
#
proc doBindings {t} {
	global fillbox boxedtext
	bindtags .c.c {.c.c Canvas . all}
	switch $t {
	slideshow {
	#	setCursor star
		bindtags .c.c {show .c.c Canvas . all}
	}
	line {
		setCursor tcross
		bindtags .c.c {line .c.c Canvas . all}
	}
	frame { 
		setCursor ul_angle
		set fillbox 0
		bindtags .c.c {frame .c.c Canvas . all}
	}
	box {
		setCursor ul_angle
		set fillbox 1
		bindtags .c.c {frame .c.c Canvas . all}
	}
	ellipse {
		setCursor ul_angle
		set fillbox 0
		bindtags .c.c {ellipse .c.c Canvas . all}
	}
	fellipse {
		setCursor ul_angle
		set fillbox 1
		bindtags .c.c {fellipse .c.c Canvas . all}
	}
	text {
		setCursor xterm
		set boxedtext 0
		bindtags .c.c {text .c.c Canvas . all}
	}
	btext {
		setCursor xterm
		set boxedtext 1
		bindtags .c.c {btext .c.c Canvas . all}
	}
	image {
		setCursor draped_box
		bindtags .c.c {image .c.c Canvas . all}
	}
	}
}

#
# undoBindings --- just the opposite, clears the mouse...
#
proc undoBindings {} {
	global fillbox boxedtext
	
		setCursor xterm
		bind .c.c <1> {}
		bind .c.c <3> {}
		bind .c.c <> {}
}
