proc setDefaults { } {
global sld Resizing
##### put here all font families you would like to use
#set sld(fontfamilies) {Cooper Peignot Amelio DomCasual Iglesia 
#	Blippo Florab ParkAvenue RoostHeavy Show Slogan Tekton
#	WindsorDemi}

####################################################################
### The new toolbar is defined as a list of { <picture> <menu> <index> }
### where the <picture> is shown in the button, and the <index> of <menu>
### is invoked when the button is pressed.  This is compact and allow
### for editing the toolbar by the user.

set sld(toolbar) { 
  {open.gif .mb.file.m 2} {save.gif .mb.file.m 3} {print.gif .mb.file.m 7} {""}
  { cut.gif .mb.edit.m 1 } { copy.gif .mb.edit.m 2 } {paste.gif .mb.edit.m 3 } {""} 
 { frame.gif .mb.objects.m 2 } 
  { box.gif .mb.objects.m 3 } { oval.gif .mb.objects.m 4 }  
  { filledoval.gif .mb.objects.m 5 } { text.gif .mb.objects.m 6 } 
  { image.gif .mb.objects.m 8 } 
  { "" } { front.gif .mb.edit.m 5 } 
  { back.gif .mb.edit.m 6 } {} {} {} {} {} {}}


set sld(foreground) black
set sld(background) white 
set sld(backpattern) ""
set sld(patcolor1) gray30
set sld(patcolor2) white
set sld(fillcolor) gray
set sld(hilitecolor) pink 
#set sld(colorlist) {red green blue yellow orange \
#	pink violet maroon khaki aquamarine white gray70 gray50 gray30 black}
set sld(idir) $sld(dir)/icons
set sld(group) {}
set sld(groupcnt) 0
set sld(pastecnt) 0
set sld(imgcnt) 0
set Resizing 0
set sld(cursor) left_ptr
set sld(lstyle) ""
set sld(fontstyle) ""
set sld(xviewfrac) -0.04
set sld(yviewfrac) -0.15

### default visible canvas size
set sld(height) 640
set sld(width) 480

### default drawing size
set sld(dwidth) 640
set sld(dheight) 480 

set sld(zoom) 1

# default page orientation. I like landscape presentation slides :)
set sld(orientation) "Landscape"

# this may come handy for rulers, which in turn may come handy for using with
# a zoom
set sld(units) m ;# milimeters

# each sld(ticks) is a list with the following format:
# { minzoom { ticks relative positions } delta_x 
#   mintxtzoom tickheight decs txtdisp txtfont }

set sld(ticks) {
    { 0.1 { 0.0 }                   5.0 0.2     0.6  1.0 0.60 {Courier 13 bold}}
    { 0.5 { 1.0 2.0 3.0 4.0 }       5.0 1.0     0.4  1.0 0.45 {Courier 12 bold}}
    { 1.0 { 0.2 0.4 0.6 0.8 }       1.0 7.0     0.2  1.1 0.35 {Courier 10}}
    { 2.0 { 0.1 0.3 0.5 0.7 0.9 }   1.0 10.0    0.2  1.1 0.35 {Courier 10}}
    { 7.0 { 0.05 }                  0.1 999.9   0.15 1.1 0.35 {Courier 10}}   
}


if [file exists ~/.slidedrawrc] {
	source ~/.slidedrawrc	
}
set sld(slidefiles) $sld(dir)/slides
set sld(svarlist) {background foreground backpattern} 

### be sure all slide variables are initialized
set sld(page,update) 0
set sld(page,current) 1
set sld(page,max) 1
cleanSlideDir
set sld(multi) 0
set sld(scale) $sld(zoom)
set sld(update) 0
set sld(currfile) $sld(dir)/slides/noname.sld

# for file operations...
set sld(filetypes) {
		{{Slidedraw Files}	{.sld} }
		{{Tcl/Tk Files} 	{.tcl} }
		{{All files}		*      }
	}
}
